datablock WheeledVehicleData(blockodirtbikeVehicle)
{
	category = "Vehicles";
	displayName = "";
	shapeFile = "./shapes/blockodirtbike.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 3;
	
	handsOnVehicle = 1;
	usesVehicleEditHelper = 1;
   
	numMountPoints = 1;
	mountThread[0] = "root";
   
	maxDamage = 200.00;
	destroyedLevel = 200.00;
	energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 -0.7 -1";
    //massBox = "0 0 0";

	maxSteeringAngle = 0.5;			  // Maximum steering angle, should match animation
	integration = 4;				  // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false; // Roll the camera with the vehicle
	cameraMaxDist = 8;  // Far distance from vehicle
	cameraOffset = 4.5; // Vertical offset from camera mount point
	cameraLag = 0.0;	// Velocity lag of camera
	cameraDecay = 0.75; // Decay per sec. rate of velocity lag
	cameraTilt = 0.4;
	collisionTol = 0.1; // Collision distance tolerance
	contactTol = 0.1;

	useEyePoint = false;
	
	//numWheels = 4;
	steeringAutoReturn = false;
	steeringAutoReturnRate = 0.9;
	steeringAutoReturnMaxSpeed = 10;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.2;

	// Rigid Body
	mass = 150;
	density = 5;
	drag = 1.0;
	bodyFriction = 0.02;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;  // Impacts over this invoke the script callback
	softImpactSpeed = 10; // Play SoftImpact Sound
	hardImpactSpeed = 15; // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 8000; //4000;  // Engine power
	engineBrake = 2500;           // Braking when throttle is 0
	brakeTorque = 4000;           // When brakes are applied
	maxWheelSpeed = 31;           // Engine scale by current speed / max speed

	rollForce		= 25;  //900;
	yawForce		= 600; //600;
	pitchForce		= 1000; //1000;
	rotationalDrag		= 12;

	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	justcollided = 0;

	uiName = "Blocko Dirt Bike";
	rideable = true;
	lookUpLimit = 0.65;
	lookDownLimit = 0.65;

	paintable = true;
   
	damageEmitter[0] = vehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;
	damageEmitter[1] = vehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;
	numDmgEmitterAreas = 1;

	initialExplosionProjectile = vehicleExplosionProjectile;
	initialExplosionOffset = 0; //offset only uses a z value for now
	burnTime = 4000;
	finalExplosionProjectile = vehicleFinalExplosionProjectile;
	finalExplosionOffset = 0.5; //offset only uses a z value for now

	minRunOverSpeed    = 2;     //how fast you need to be going to run someone over (do damage)
	runOverDamageScale = 5;     //when you run over someone, speed * runoverdamagescale = damage amt
	runOverPushScale   = 1.2;   //how hard a person you're running over gets pushed
};